/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：数据集树目录表
*
* createdate:  2022-10-24 17:01:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集树目录表")
public class DataSetTreeAddDto implements Serializable
{
    /**
     * 节点名称<br>
     */
    @ApiModelProperty("节点名称")
    @Size(max = 32, message="节点名称长度不能 > 32" )
    private String name;
    /**
     * 父节点id<br>
     */
    @ApiModelProperty("父节点id")
    @Size(max = 32, message="父节点名称长度不能 > 32" )
    private String parentId;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    @Size(max = 32, message="系统id长度不能 > 32" )
    private String proId;

    @ApiModelProperty("是否新增到根节点 false-否 true-是")
    private boolean addRootNode;

    @ApiModelProperty("节点描述")
    private String description;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public boolean isAddRootNode() {
        return addRootNode;
    }

    public void setAddRootNode(boolean addRootNode) {
        this.addRootNode = addRootNode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}